<?php

require_once ("../../config/Cado.php");
require_once ("cIgv.php");
$oIgv = new cIgv();

if($_POST['action']=="insertar")
{
	 
	if(!empty($_POST['txt_igv_dat']))
	{
	
		$oIgv->insertar($_POST['cmb_igv_mes'],$_POST['cmb_igv_anio'],$_POST['txt_igv_dat']);
		
		$data['msj']='Se registró igv correctamente.';				
		
	}
	else
	{
		$data['msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}


if($_POST['action']=="editar")
{
	if(!empty($_POST['txt_igv_dat']))
	{
		$oIgv->modificar($_POST['hdd_igv_id'],$_POST['cmb_igv_mes'],$_POST['cmb_igv_anio'],$_POST['txt_igv_dat']);
		
		$data['msj']='Se modificó igv correctamente.';
		
	}
	else
	{
		$data['msj']='Intentelo nuevamente.';
	}
	
	echo json_encode($data);
}


if($_POST['action']=="eliminar")
{
	if(!empty($_POST['id'])){
		
		$oIgv->modificar_campo($_POST['id'],'xac','0');
		$data['msj']='Se elimino correctamente.';
	}else{
		$data['msj']='Intentelo nuevamente.';
	}
	
		echo json_encode($data);
}
?>